Bug 445133 - Sendmail 8.14.3 is released
Sendmail 8.14.3 is released
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sendmail (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 07:26 EDT by Robert Scheck
Modified: 2008-07-26 07:18 EDT (History)
0 users

See Also:
Fixed In Version: 8.14.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-26 07:18:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sendmail-8.14.3-smrsh_paths.patch (5.93 KB, patch)
2008-05-04 08:00 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2008-05-04 07:26:51 EDT
Description of problem:
Sendmail, Inc., and the Sendmail Consortium announce the availability
of sendmail 8.14.3. This version fixes some bugs:

o the MTA accessed storage after it free()d it. This was a regression
  introduced in 8.14.2, but the bug only showed up on a few operating
  systems.
o ruleset processing: the function cataddr() could cause the
  addition of the BlankSub character between some tokens when it
  should not happen and thus failures in rule matching.  It seems
  that none of the default rules were affected by this bug and hence
  the problem did not show up for default configurations.
o the libmilter state engine did not deal correctly with milters
  that requested the omission of protocol steps during the negotiation
  callback.

Version-Release number of selected component (if applicable):
sendmail-8.14.2-4

Actual results:
A simple upgrade + updating patch4 (sendmail-8.13.2-smrsh-paths.patch) should
do it. I'll try to attach an updated patch soon.

Expected results:
Upgrade to 8.14.3... ;-)
Comment 1 Robert Scheck 2008-05-04 08:00:22 EDT
Created attachment 304490 [details]
sendmail-8.14.3-smrsh_paths.patch
Comment 2 Bug Zapper 2008-05-14 06:37:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Robert Scheck 2008-05-17 14:50:49 EDT
Ping?
Comment 4 Robert Scheck 2008-07-12 15:08:18 EDT
Thomas, ping?
Comment 5 Robert Scheck 2008-07-26 07:18:10 EDT
Sendmail 8.14.3 was built for Rawhide. Thanks and closing now.

Note You need to log in before you can comment on or make changes to this bug.